### Enumeration

# Cogl FeatureID

#### Declaration

    enum Cogl.FeatureID

#### Description [src]

All the capabilities that can vary between different GPUs supported by Cogl. Applications that depend on any of these features should explicitly check for them using `cogl_context_has_feature()`.

#### Members

`COGL_FEATURE_ID_UNSIGNED_INT_INDICES`

  Set if `COGL_INDICES_TYPE_UNSIGNED_INT` is supported in cogl_indices_new().

  - Value: `0`
  - Available since: 16
`COGL_FEATURE_ID_MAP_BUFFER_FOR_READ`

  Whether `cogl_buffer_map()` is supported with CoglBufferAccess including read support.

  - Value: `1`
  - Available since: 16
`COGL_FEATURE_ID_MAP_BUFFER_FOR_WRITE`

  Whether `cogl_buffer_map()` is supported with CoglBufferAccess including write support.

  - Value: `2`
  - Available since: 16
`COGL_FEATURE_ID_FENCE`

  No description available.

  - Value: `3`
  - Available since: 16
`COGL_FEATURE_ID_TEXTURE_RG`

  Support for `COGL_TEXTURE_COMPONENTS_RG` as the internal components of a texture.

  - Value: `4`
  - Available since: 16
`COGL_FEATURE_ID_TEXTURE_RGBA1010102`

  Support for 10bpc RGBA formats.

  - Value: `5`
  - Available since: 16
`COGL_FEATURE_ID_TEXTURE_HALF_FLOAT`

  Support for half float formats.

  - Value: `6`
  - Available since: 16
`COGL_FEATURE_ID_TEXTURE_NORM16`

  Support for 16bpc formats.

  - Value: `7`
  - Available since: 16
`COGL_FEATURE_ID_BUFFER_AGE`

  Available if the age of `CoglOnscreen` back buffers are tracked and so `cogl_onscreen_get_buffer_age()` can be expected to return age values other than 0.

  - Value: `8`
  - Available since: 16
`COGL_FEATURE_ID_TEXTURE_EGL_IMAGE_EXTERNAL`

  No description available.

  - Value: `9`
  - Available since: 16
`COGL_FEATURE_ID_BLIT_FRAMEBUFFER`

  Whether blitting using `cogl_framebuffer_blit()` is supported. `COGL_FEATURE_ID_SYNC_FD` `cogl_context_get_latest_sync_fd()` is supported.

  - Value: `10`
  - Available since: 16
`COGL_FEATURE_ID_TIMESTAMP_QUERY`

  No description available.

  - Value: `11`
  - Available since: 16
`COGL_FEATURE_ID_SYNC_FD`

  No description available.

  - Value: `12`
  - Available since: 16